#ifndef _Shark_iic_h__
#define _Shark_iic_h__
#include  <stdint.h>


extern void shark_i2c_init(uint32_t i2c_device, uint32_t rate);
extern int shark_i2c_read_byte(uint32_t index, uint8_t address, uint8_t reg, uint8_t *value);
extern int shark_i2c_read_nbytes(uint32_t index, uint8_t address, uint8_t reg, uint8_t *buffer, int length);
extern int shark_i2c_write_byte(uint32_t index, uint8_t address, uint8_t reg, uint8_t value);
extern int shark_i2c_write_nbytes(uint32_t index, uint8_t address, uint8_t reg, uint8_t *value, int length);
#endif /* _Shark_iic_h__ */

